Subject: Re: Core Dumps

From: [email-masked]
Date: Thu, 18 Mar 93 15:02:50 -0800

> It is however a definite problem in SVR4 (actually sysv in general).
> In sysv when a signal handler is called, the signal is reset so that
> the handler no longer catches the signal (probably an attempt to
> defeat endless loops if an error occurs while in a handler.)

The identification of the problem is correct, but the solution
suggested is not sufficient to yeild a robust Postgres on SVR4.  What
I suggest (and what I did on my port) is to write a signal(2)
replacement as suggested by Stevens, and also change the
setjmp/longjmp to sigsetjmp/siglongjmp.  You must do *both* of these
things to get a reliable Postgres.

---
 Robert Withrow, Tel: +1 617 598 4480, Fax: +1 617 598 4430, Net: [email-masked]
 R.W. Withrow Associates, 21 Railroad Ave, Swampscott MA 01907-1821 USA